/*****************************************************************************************************
 * @Description : ͨù붨
 *                Common error code definitions of VPI-Software Platform 
******************************************************************************************************/
#ifndef _ERROR_CODE_H_
#define _ERROR_CODE_H_
////////////////////////////////////////////////////////////////////////////////

typedef enum 
{
    _SUCCESS     = 0x00,
        
    // 붨
    DRV_FAIL        = 0x11,
    DRV_ABNORMAL    = 0x12,
    DRV_PARA_ERR    = 0x13,
    DRV_TIME_OUT    = 0x14,
    DRV_TBD         = 0x15,     // To Be Done(ܴ)
    
    // Ӳ붨
	
    HAL_FAIL        = 0x41,
    HAL_ABNORMAL    = 0x42,
    HAL_PARA_ERR    = 0x43,
    HAL_TIME_OUT    = 0x44,
    HAL_TBD         = 0x46,     // To Be Done(ܴ)

    // ƽ̨붨
    PLT_FAIL        = 0x81,
    PLT_ABNORMAL    = 0x82,
    PLT_PARA_ERR    = 0x83,
    PLT_TIME_OUT    = 0x84,
    PLT_TBD         = 0x85,     // To Be Done(ܴ)
    PLT_UNDEFINE    = 0x86,

    // ģ붨
    MDL_FAIL        = 0x91,
    MDL_ABNORMAL    = 0x92,
    MDL_PARA_ERR    = 0x93,
    MDL_TIME_OUT    = 0x94,
    MDL_TBD         = 0x95,     // To Be Done(ܴ)
    MDL_UNDEFINE    = 0x96,
	
    // ͨô
    ERR_CODE_FAIL       = 0xF1,
    ERR_CODE_ABNORMAL   = 0xF2,
    ERR_CODE_PARA_ERR   = 0xF3,
    ERR_CODE_TIME_OUT   = 0xF4,
    ERR_CODE_TBD        = 0xF5      // To Be Done(ܴ)
    
}ERR_CODE;

////////////////////////////////////////////////////////////////////////////////

#endif




